ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:bloodmagic_altar', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:rouge_fonce',
    B: 'mekanism:hdpe_sheet',
    C: 'bloodmagic:blankslate',
    D: 'bloodmagic:altar',
    E: 'forbidden_arcanus:soul'
  }
)
event.shaped(
  Item.of('mm:bloodmagic_altar_fluid_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:rouge_fonce',
    B: 'thermal:gold_plate',
    C: 'bloodmagic:blankslate',
    D: 'bloodmagic:life_essence_fluid',
    E: 'cyclic:tank'
  }
)
event.shaped(
  Item.of('mm:item_bloodmagic_altar_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:rouge_fonce',
    B: 'cyclic:hopper_gold',
    C: 'bloodmagic:blankslate',
    D: 'tconstruct:seared_drain',
    E: 'bloodmagic:itemroutingnode'
  }
)
event.shaped(
  Item.of('mm:item_bloodmagic_altar_output', 1),
  [
    'AEA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:rouge_fonce',
    B: 'cyclic:hopper_gold',
    C: 'bloodmagic:blankslate',
    D: 'tconstruct:seared_drain',
    E: 'bloodmagic:itemroutingnode'
  }
)
event.shaped(
  Item.of('mm:energy_bloogmagic_altar_input', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:rouge_fonce',
    B: 'mekanism:basic_control_circuit',
    C: 'bloodmagic:blankslate',
    D: 'mekanism:basic_energy_cube'
  }
)
})